diff mbox series

[4/4] kernel-shark: Do not use sudo in install_gui.sh + update README

Message ID 20210317164101.30848-5-michal.sojka@cvut.cz (mailing list archive)
State Accepted
Commit 47a7e9f4db8a9f168010b7bbf03c2a3000c51339
Headers show
Series kernel-shark: CMake changes | expand

Commit Message

Michal Sojka March 17, 2021, 4:41 p.m. UTC
Using `make install` to install kernelshark can lead to errors
described in the previous commit. Therefore, we instruct users to use
the provided script install_gui.sh. We update the script not to use
sudo, because it's preferable if users give root privileges explicitly
via command line.

Signed-off-by: Michal Sojka <michal.sojka@cvut.cz>
---
 README               | 2 +-
 build/install_gui.sh | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
diff mbox series

Patch

diff --git a/README b/README
index a7e66df..f5035f9 100644
--- a/README
+++ b/README
@@ -51,7 +51,7 @@  Building:
     cd kernel-shark/build
     cmake ../
     make
-    sudo make install
+    sudo ./install_gui.sh
 
 2.1 In order to create a Doxygen documentation add -D_DOXYGEN_DOC=1
 as a CMake Command-Line option.
diff --git a/build/install_gui.sh b/build/install_gui.sh
index d262f79..c42f4da 100755
--- a/build/install_gui.sh
+++ b/build/install_gui.sh
@@ -1,9 +1,9 @@ 
-if sudo cmake -DCOMPONENT=kernelshark -P cmake_install.cmake; then
+if cmake -DCOMPONENT=kernelshark -P cmake_install.cmake; then
     echo "Kernelshark installed correctly"
 else
     exit 1
 fi
 
-if ! sudo cmake -DCOMPONENT=polkit-policy -P cmake_install.cmake; then
+if ! cmake -DCOMPONENT=polkit-policy -P cmake_install.cmake; then
     echo >&2 "Warning: polkit policy not installed"
 fi